Update the debian package files to match the 2.9.2-1 debian release
authorSteve McIntyre <steve@einval.com>
Sat, 4 Aug 2018 09:42:39 +0000 (10:42 +0100)
committerSteve McIntyre <steve@einval.com>
Sat, 4 Aug 2018 09:42:39 +0000 (10:42 +0100)
debian/changelog
debian/control

index 407a119..d1890d9 100644 (file)
@@ -1,3 +1,29 @@
+abcde (2.9.2-1) unstable; urgency=medium
+
+  * New upstream version with fixes since the 2.9.1 release:
+    + Fix up lookup code to deal with spaces etc. in directory names
+    + Cope with "stub" releases in Musicbrainz
+    + Always call glyrc with LC_ALL=C. Thanks to Andreas Vögele for the
+      report and the suggested fix. Closes Issue 83:
+      https://abcde.einval.com/bugzilla/show_bug.cgi?id=50
+    + Add a link to the CDDB data format in the abcde man page. Closes
+      Issue 81: https://abcde.einval.com/bugzilla/show_bug.cgi?id=81
+    + More fixups of track number padding. Thanks to John Straw for the
+      patch.
+  * Updates also fix various Debian bugs. Closes: #905124, #893892, #898046
+  * Add a Depends on sensible-utils
+
+ -- Steve McIntyre <93sam@debian.org>  Thu, 02 Aug 2018 23:34:06 +0800
+
+abcde (2.9.1-1) unstable; urgency=medium
+
+  * New upstream version with fixes since the 2.9 release:
+    + Fixups in the new Musicbrainz code:
+      - Cope with not finding an entry for a CD! (Closes: #892480)
+      - Fix (again!) dealing with CDs with no release events
+
+ -- Steve McIntyre <93sam@debian.org>  Fri, 09 Mar 2018 23:25:03 +0000
+
 abcde (2.9-1) unstable; urgency=medium
 
   * New upstream version with various improvements and bugfixes:
index 358660a..94bf754 100644 (file)
@@ -10,7 +10,7 @@ Vcs-Git: https://git.einval.com/git/abcde.git
 
 Package: abcde
 Architecture: all
-Depends: ${misc:Depends}, cd-discid, wget, cdparanoia | icedax, vorbis-tools (>= 1.0beta4-1) | lame | flac | speex | musepack-tools | opus-tools, libmusicbrainz-discid-perl, libwebservice-musicbrainz-perl (>= 1.0.4-1.1)
+Depends: ${misc:Depends}, cd-discid, wget, cdparanoia | icedax, vorbis-tools (>= 1.0beta4-1) | lame | flac | speex | musepack-tools | opus-tools, libmusicbrainz-discid-perl, libwebservice-musicbrainz-perl (>= 1.0.4-1.1), sensible-utils
 Recommends: vorbis-tools, libdigest-sha-perl, bsd-mailx, glyrc, imagemagick
 Suggests: eject, distmp3, id3 (>= 0.12), id3v2, eyed3 (<< 0.7~),
  normalize-audio, vorbisgain, mkcue, mp3gain, atomicparsley